package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * ClassOperatorType generated by hbm2java
 */
@Entity
@Table(name="class_operator_type"
    ,schema="public"
)
public class ClassOperatorType  implements java.io.Serializable {


     private Long id;
     private String value;
     private String name;
     private Set<GatewayModems> gatewayModemses = new HashSet<GatewayModems>(0);
     private Set<MobileNumbers> mobileNumberses = new HashSet<MobileNumbers>(0);
     private Set<BiMappings> biMappingses = new HashSet<BiMappings>(0);

    public ClassOperatorType() {
    }

    public ClassOperatorType(String value, String name, Set<GatewayModems> gatewayModemses, Set<MobileNumbers> mobileNumberses, Set<BiMappings> biMappingses) {
       this.value = value;
       this.name = name;
       this.gatewayModemses = gatewayModemses;
       this.mobileNumberses = mobileNumberses;
       this.biMappingses = biMappingses;
    }
   
     @SequenceGenerator(name="generator", sequenceName="class_operator_type_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    
    @Column(name="value")
    public String getValue() {
        return this.value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }

    
    @Column(name="name")
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="classOperatorType")
    public Set<GatewayModems> getGatewayModemses() {
        return this.gatewayModemses;
    }
    
    public void setGatewayModemses(Set<GatewayModems> gatewayModemses) {
        this.gatewayModemses = gatewayModemses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="classOperatorType")
    public Set<MobileNumbers> getMobileNumberses() {
        return this.mobileNumberses;
    }
    
    public void setMobileNumberses(Set<MobileNumbers> mobileNumberses) {
        this.mobileNumberses = mobileNumberses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="classOperatorType")
    public Set<BiMappings> getBiMappingses() {
        return this.biMappingses;
    }
    
    public void setBiMappingses(Set<BiMappings> biMappingses) {
        this.biMappingses = biMappingses;
    }




}


